import { homeHrefs } from "@/constants/homeHrefs"
import { env } from "@/env/server"
import { getCurrentHeader } from "@/lib/trpc/memoizedRequests"

import { getLang } from "@/i18n/serverContext"

import { MainMenu } from "../MainMenu"
import OfflineBanner from "../OfflineBanner"
import TopMenu from "../TopMenu"

import styles from "../header.module.css"

export default async function HeaderFallback() {
  const data = await getCurrentHeader(getLang())

  if (!data?.header) {
    return null
  }

  const homeHref = homeHrefs[env.NODE_ENV][getLang()]
  const { frontpageLinkText, logo, menu, topMenu } = data.header

  const topMenuMobileLinks = topMenu.links
    .filter((link) => link.show_on_mobile)
    .sort((a, b) => (a.sort_order_mobile < b.sort_order_mobile ? 1 : -1))

  return (
    <header className={styles.header} role="banner">
      <OfflineBanner />
      <TopMenu
        frontpageLinkText={frontpageLinkText}
        homeHref={homeHref}
        links={topMenu.links}
        languageSwitcher={null}
      />
      <MainMenu
        frontpageLinkText={frontpageLinkText}
        homeHref={homeHref}
        links={menu.links}
        logo={logo}
        topMenuMobileLinks={topMenuMobileLinks}
        languageSwitcher={null}
        myPagesMobileDropdown={null}
        bookingHref={homeHref}
        user={null}
      />
    </header>
  )
}
